eMail Component v17

I’ve just jumped into v17 from v11… so there’s a great deal I have been blind to.

I want to convert to v17 but the eMail component from v11 is causing issues - I have recompiled the source code into a .4dbase file and no change.

What step have I missed? What must I do to make it work.

The error message at runtime reads:

 Error

 Can't load component "EMail_Component.4DC".

 Error code: -10510 (4DRT)
 Can't load component "EMail_Component.4DC".
 component: '4DRT'
 task -1, name: 'Application process'

 Error code: 6 (4dcm)
 Could not find compiled runtime information while loading database or component "EMail_Component".
 component: '4dcm'
 task -1, name: 'Application process'

did u compile with the 32/64 bit option checked?